#include "HuffmanTree.h"

int main(int argc, char* argv[])
{
	int i;
	
	//
	// ʼ
	//
	int WeightArray[] = {2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41};
	int Count = sizeof(WeightArray) / sizeof(WeightArray[0]);
	int HuffmanLength = 2 * Count - 1;
	
	//
	// ʼշ
	//
	PHtTree pTree = (PHtTree)malloc(sizeof(HtTree));
	pTree->HtArray = (HtNode*)malloc(sizeof(HtNode) * HuffmanLength);

	for(i = 0; i < HuffmanLength; i++)
	{
		pTree->HtArray[i].lchild = -1;
		pTree->HtArray[i].rchild = -1;
		pTree->HtArray[i].parent = -1;
		pTree->HtArray[i].Weight = i < Count ? WeightArray[i] : -1;	
	}
	
	//
	// շ
	//
	pTree = HuffmanTree(pTree, Count);
	
	OutputResult(pTree, HuffmanLength);
	
	//
	// ٺշ
	//
	free(pTree->HtArray);
	free(pTree);
	
	return 0;
}

/*
ܣ
	øһȨֵշ


	pTree -- շṹָ
	Count -- Ԫظ
	
ֵ
	غշṹָ롣
*/
PHtTree HuffmanTree(PHtTree pTree, int Count)  
{
	int i, j;           	// α꣬ҪڲСڵʹСڵ± 
	int Index1, Index2;		// СʹСڵ±       
	int Number1, Number2;	// СʹСڵȨֵ 
	
	//
	// TODO: ڴӴ
	//	
	
	return pTree;
}

void OutputResult(PHtTree pTree, int Length)
{
	int i;
	printf("subscript\tweight\tparent\tlchild\trchild\n");
	for(i = 0; i < Length; i++)
	{
		printf("%d", i);
		printf("\t\t%d",pTree->HtArray[i].Weight);
		printf("\t\t%d",pTree->HtArray[i].parent);
		printf("\t\t%d",pTree->HtArray[i].lchild);
		printf("\t\t%d\n",pTree->HtArray[i].rchild);
		
			
	}
}



